Package org.kie.api.builder

# Enum Class KieScanner.Status

java.lang.Object
java.lang.Enum<KieScanner.Status>
org.kie.api.builder.KieScanner.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<KieScanner.Status>`, `Constable`

Enclosing interface:
  KieScanner

public static enum KieScanner.Status extends Enum<KieScanner.Status>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `RUNNING`
  `SCANNING`
  `SHUTDOWN`
  `STARTING`
  `STOPPED`
  `UPDATING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static KieScanner.Status`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static KieScanner.Status[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STARTING

    public static final KieScanner.Status STARTING

  - ### SCANNING

    public static final KieScanner.Status SCANNING

  - ### UPDATING

    public static final KieScanner.Status UPDATING

  - ### RUNNING

    public static final KieScanner.Status RUNNING

  - ### STOPPED

    public static final KieScanner.Status STOPPED

  - ### SHUTDOWN

    public static final KieScanner.Status SHUTDOWN

- ## Method Details

  - ### values

    public static KieScanner.Status[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static KieScanner.Status valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null